timeval Struct Reference

`#include <missing.h>`

## Data Fields

long | tv_sec
long | tv_usec
time_t | tv_sec

## Detailed Description

Definition at line 16 of file ossl_asn1.c.

## Field Documentation

long timeval::tv_sec

Definition at line 17 of file ossl_asn1.c.

Referenced by compare(), datetime_s_now(), do_select(), double2timeval(), eventloop_sleep(), filetime_to_timeval(), filetime_to_unixtime(), fill_random_seed(), getclockofday(), getrusage_time(), inspect_timeval_as_interval(), ip_eval(), ip_invoke_with_position(), ip_rb_threadTkWaitCommand(), ip_rb_threadUpdateCommand(), ip_rb_threadVwaitCommand(), lib_eventloop_core(), lib_watchdog_core(), rb_time_timeval(), rb_w32_select_with_thread(), rb_w32_time_subtract(), select_internal(), sleep_for_polling(), sleep_timeval(), time_init_0(), time_timeval(), timeofday(), and tk_funcall().

time_t timeval::tv_sec

Definition at line 32 of file missing.h.

long timeval::tv_usec

Definition at line 18 of file ossl_asn1.c.

Referenced by compare(), datetime_s_now(), do_select(), double2timeval(), eventloop_sleep(), filetime_to_timeval(), fill_random_seed(), getclockofday(), getrusage_time(), inspect_timeval_as_interval(), ip_eval(), ip_invoke_with_position(), ip_rb_threadTkWaitCommand(), ip_rb_threadUpdateCommand(), ip_rb_threadVwaitCommand(), lib_eventloop_core(), lib_watchdog_core(), rb_time_timeval(), rb_w32_select_with_thread(), rb_w32_time_subtract(), select_internal(), sleep_for_polling(), sleep_timeval(), time_init_0(), time_timeval(), timeofday(), and tk_funcall().

The documentation for this struct was generated from the following files:

- ext/openssl/ossl_asn1.c
- include/ruby/missing.h